Bug 728682 - The wireless USB TP-Link WN721N doesn't work in Linux Kernel 3.0
Summary: The wireless USB TP-Link WN721N doesn't work in Linux Kernel 3.0
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-06 11:09 UTC by Edward Town
Modified: 2011-08-17 04:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 04:54:24 UTC


Attachments (Terms of Use)

Description Edward Town 2011-08-06 11:09:44 UTC
Description of problem:
When I start Fedora with Linux kernel 3.0 (2.6.40), Whatever I do (plug or unplug it), I can't find the wireless in the NetworkManager or iw list. And when I start Fedora with Linux kernel 2.6.38, I also need to unplug and plug it to find the wireless.

Version-Release number of selected component (if applicable):
2.6.40
2.6.38

How reproducible:
Always

Steps to Reproduce:
1.Reboot Fedora and select kernel 2.6.40
  
Actual results:
Nothing

Expected results:
A wireless

Additional info:
Forgive my bad English

Comment 1 Stanislaw Gruszka 2011-08-12 13:51:29 UTC
What show lsusb when device is plugged?

Comment 2 Edward Town 2011-08-14 14:38:44 UTC
lsusb:

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 0cf3:9271 Atheros Communications, Inc. AR9271 802.11n
Bus 004 Device 002: ID 413c:2107 Dell Computer Corp. 
Bus 006 Device 002: ID 0461:4d81 Primax Electronics, Ltd

Comment 3 Stanislaw Gruszka 2011-08-15 08:27:16 UTC
This is Atheros AR9271 .

Could you test current upstream driver using compat-wireless-next from http://people.redhat.com/sgruszka/compact_wireless.html

If it still not work, please attach dmesg command output.

Comment 4 Edward Town 2011-08-17 04:54:24 UTC
It finally worked!

When I run dmesg I found this:
[   18.596309] ath9k_htc 1-3:1.0: ath9k_htc: Please upgrade to FW version 1.3

So I downloaded htc_9271.fw from http://wireless.kernel.org/download/htc_fw/1.3/ and copy it to /lib/firmware.

Thank you!


Note You need to log in before you can comment on or make changes to this bug.